Cambios (con respecto a la versión 2.0.0)

2.0.1

- Correción: Editor de perfil de edición - Etiquetas 'agregar borde' mal colocadas
- Corrección: Editor de codec externos -  Imposible editar la etiqueta de un parámetro para cambiar mayúsculas/minúsculas
- Corrección: Editor de perfil de edición - Error en el Procedimiento "SeleccionarFiltros"
- Cambios en el procedimiento para obtener dirección IP
- Cambios en el procedimiento para obtener lista de dispositivos de captura
- Visor de texto: bloqueo de escritura en el cuadro de texto
- Visor de texto: cambio en la forma de capturar la salida de consola
- Cambios en el procedimiento para extraer pistas y obtener el tracklist
- Corrección - Editor de codec externos - error al intentar abrir un codec desde el administrador de archivos
- Agregada opción para mover pistas codificadas (con algún codec externo) en lugar de mezclarlas con ffmpeg
- Cambios en la interfáz y el código para ver información "Acerca del codec externo..."
- Agregada la opción de cargar los strings de la aplicación en inglés para crear nuevos archivos de idioma
- Cambios en la documentación

2.0.2

- Correcciones en lenguaje
- Eliminación de código inutilizado
- Cambios en los procedimientos
- Cambios en el procedimiento para generar los comandos cuando se codifica con un ejecutable ajeno a ffmpeg

2.0.3

- Correcciones en procedimientos y lenguaje
- Cambios en procedimientos: listas dispositivos de captura y eliminar archivos

2.0.4
+++Crashes+++++
- Arreglado "No coinciden los tipos" cuando se limpiaban las listas del "Editor de formatos"
++++Cambios, correcciones+++++++
- Eliminación de líneas inutilizadas en el módulo "lang", actualización de los índices de la lista LangData()
- Arreglado "No se encuentra el archivo <manual>" cuando se editaba el perfil "<manual>" desde el boton ">>" en "Emisor" y "Grabador"
- Eliminación de la opción "Puerto" en "Emisor" para poder ingresar direcciones que no sean udp://localhost:port ó rtp://localhost:port
- Cambios en el procedimiento de apertura de archivo (modo "manual") en "Editor de formatos" y "Editor de perfiles de edición" para que, al cerrar con el botón 'X', se advierta sobre cambios en el archivo
- Cambios en el procedimiento "Empezar Grabación" para no tener que ingresar una duración si "Destino" será "Emitir"
- Cambios en el borderstyle del formulario "Editor de codecs externos" para evitar que se redimensione
- Cambios en el "Editor de codecs externos". Cuando se edita un parámetro, ahora el usuario debe confirmar los cambios en él (ó descartarlos), antes de poder cerrar el editor. Así se evita que esos cambios se pierdan por accidente.
- Cambios en el procedimiento "PlayFile" para evitar mensajes de error cuando se cierra el reproductor
- Actualización de la documentación

2.0.5
Cambios: Procedimiento de los botones "Cancelar" en los Editores de Formato y Perfil de Edición (en modo "Manual"). Al presionar esos botones ahora se descartan los cambios y no se le pregunta al usuario si quiere guardarlos
Corrección: Cuando se abría un perfil de formato que contenía información de codecs externos, no se mostraba la opción "Buscar ejecutable"
Correcciones procedimientos del editor de perfiles de edición - recorte gráfico (los redondeos hacían demasiado inexactas las posiciones del recorte)
Corrección en Editor de Formatos: Etiqueta del frame "Acerca del codec externo..." no se traducía
Sustitucion del procedimiento para mandar archivos al Recycle Bin: en lugar de hacerlo con el objeto script, ahora es con API, para peritirle al programa eliminar/borrar archivos sin intervención del usuario
Agregados mensajes de espera para el grabador, el emisor de medios, el editor de perfiles de edición y el visor de texto. La captura de comandos y el posterior procesamiento de esa captura tardaba demasiado tiempo como para no enterar al usuario de que el programa estaba ocupado.
Agregado resource data de idioma portugués

2.0.6
Correcciones en generación de comandos: Rutas de entrada necesitan ser entrecomilladas porque algunos sistemas no soportan rutas cortas
Corrección en editor de perfiles de edición: Cuando se hacía un recorte gráfico de la secuencia no se guardaban la opción "Convertir hasta la posición"

2.0.7
Correccion visor de texto: búsqueda "hacia atrás" errónea, la posición del puntero en el textbox no se guardaba cuando el usuario hacía clic en él
Correccion editor de perfiles de edición: vista previa de bordes agregados a video se mostraba incorrectamente porque no se generaban bien los comandos
Correccion en el procedimiento para generar comandos de extracción de video
Cambios en el editor de perfiles de edición - control "recorte gráfico": botón reproducir ahora muestra vista previa. No se reinicia la posición de la barra de "reproducción" tampoco el ancho y posición del rectángulo de recorte de secuencia, permitiendo ubicar la posición del frame que se muestra en el picturebox
Agregado procedimiento para asignar automáticamente una extensión de archivo cuando se selecciona un formato de contenedor

2.0.8
Arreglado: Mensaje de salida de ffplay no se mostraba cuando ocurría un error de reproducción
Agregado procedimiento para obtener los 'tags' de los codecs de audio y video, al analizar un archivo. Esos tags son propiedades importantes de un archivo que lo hacen ó no compatible con ciertos dispositivos.
Agregado mensaje de espera cuando se analiza un archivo desde la ventana principal y desde el menu "Obtener valores de archivo" del 'Editor de Formatos'
Cambios en el procedimiento para mostar el cuadro de diálogo "Open File", para evitar mensajes "Inserte un disco en la unidad X"

2.0.9

Prevención de crash cuando se carga un frame no válido en "Editor de perfiles de edición - Recorte Gráfico"
Corrección: Editor de perfiles de edición, los botones 'Aceptar' 'Cancelar' y 'Cargar' no se ocultaban cuando se abría el editor en modo manual
Corrección en grabador: no se bloqueaba el "cierre" de la ventana cuando se estaba grabando
Corrección: Visor de texto no reiniciaba la posición del puntero cuando se descargaba
Corrección: No se listaban las direcciones sugeridas para transmitir en la red, al abrir por segunda vez la ventana del Emisor
Cambios: El módulo para capturar la consola ha sido modificado, con ello se han agregado las siguientes funciones
--- Se puede enviar la orden a ffmpeg de que finalice un proceso sin tener que forzar el cierre, evitando la generación de archivos corruptos. Esa función fue asignada a los botones "Detener". Mientras que la vieja función de cierre forzado se asignó a nuevos botones "Detener (force)"
--- Se puede grabar sin especificar la duración de la grabación
--- Se puede pausar una grabación
--- Se puede pausar una transmisión (streaming)

2.0.10

Agregado: cuadro de diálogo para capturar la salida del reproductor (ffplay) y mostrar ayuda para utilizarlo. La captura era necesaria para saber el estado del proceso ya que, en algunos casos, tardaba demasiado en mostrarse la ventana de reproducción. Esto hacía que el programa esperara oculto indefinidamente, hasta que el usuario finalizara la reproducción ó se viera forzado a utilizar el Administrador de Tareas.
Agregado: opción para auto-seleccionar archivo cuando se hacen pruebas de conversión y solo existe un elemento en la lista "Archivos a convertir"
Arreglado: Editor de Perfiles de edición - cuando no se encontraba un filtro no se podía eliminar la referencia al mismo
Arreglado: Editor de Perfiles de edición - no se mostraba la lista de "filtros no encontrados" cuando la interfáz estaba en otro idioma que no fuese <Spanish>.
Cambios: Editor de Perfiles de edición - Recorte gráfico - Exploración de secuencia - Vista previa de segmento de sonido
-- Aumentó la duración del segmento a 7 segundos
-- Cambió el procedimiento de generación de comandos para evitar que el reproductor (ffplay) se quede congelado y el usuario se vea forzado a utilizar el Administrador de Tareas para forzar su cierre.

2.0.11

Cambios en la interfáz
Cambio de licencia (antes Creative Commons Atribución Sin Derivadas, ahora GNU)

2.0.12

Cambios: Uso del filtro volume en lugar de la opcion -vol para cambiar el volumen de audio
Cambios: Advertir que el uso de contenedor "<copy>" solo es posible cuando se usan codecs externos
(Solución del error cuando se utiliza el formato "<copy>" con ffmpeg)
Agregado: Opción para grabar subtítulos en formato ASS en los cuadros de video (Editor de perfiles de edición)
Agregado: Opción "Buffer size" necesaria para que algunos codecs funcionen (Editor de perfiles de formato)
Agregado: Opción "Read at native fps" (Editor de perfiles de edición), útil al hacer streaming y necesitar que el video transmitido se suba como si procediera de una cámara grabando y no de un archivo
Modificación de los archivos de idioma (ampliación)

2.0.13
Agregado: selección de algoritmo para redimensionar video, disponible en el editor de perfiles de edición
Cambios: archivos de idioma
Cambios: interfaz del administrador de archivos (iconos en lugar de texto) y nuevos tipos de archivo
Cambios: Editor de codecs externos
Cambios: Editor de perfiles de formato
Cambios: Módulo Convertidor
Cambios: Administrador de archivos
Agregado: 2 nuevos tipos de archivo 'fca' y 'fcv' que amplian el soporte gráfico para los codecs del propio ffmpeg
-Se editan con el Editor de Codecs Externos el cual fue modificado para manipular los nuevos archivos
-Su estructura es igual a los archivos 'lca' y 'lcv' (archivos que agregan soporte a binarios externos a ffmpeg)
-Se cargan igual que un 'codec externo' dentro de un perfil de formato (Menú Opciones - Cargar codec externo de audio (ffmpeg), Menú Opciones - Cargar codec externo de video (ffmpeg))
-Las opciones del codec, a configurar gráficamente, aparecen (igualmente) en la categoría 'Salida audio' y 'Salida video'
-El módulo Convertidor envia los comandos directamente a ffmpeg omitiendo el paso de extracción y codificación con un binario externo
Agregado: Opcion para rellenar los bordes agregados al video (Editor de perfiles de edición). Además de rellenarse con un color sólido ahora se pueden rellenar con una imagen, un video o el mismo archivo que se intente procesar. En este último caso se agregan opciones para agregar efectos simples al relleno.
-Agregado: Soporte gráfico para el filtro 'overlay' con el cual se puede superponer una imagen o incluso un video, con opciones adicionales como seleccionar el nivel de opacidad de la imagen superpuesta o convertir un color a transparente
Cambios: Modificación de la función 'PlayFile' del módulo 'ffmpeg' para reproducir en tiempo real datos convertidos. Función utilizada en el Editor de perfiles de edición (Menú Opciones - Vista previa)

2.0.14

Correcciones menores
Agregado: Opcion para mapear o subseleccionar streams de un archivo. Disponible en el menú Archivo - Mapear de la ventana principal
Agregado: Ayuda rápida para crear un formato. Disponible en el Editor de Perfiles de formato desde un pequeño botón con icono de varita mágica
Agregado: Link de ayuda en línea (que enlaza al blog del programa). Disponible en el menú "Ayuda" de la ventana principal
Cambios en el módulo convertidor para procesar solo los streams subseleccionados o mapeados por el usuario

2.0.15

Correcciones menores
Corrección de bug en el módulo Lang que impedia mapear archivos cuando la interfaz estaba en español
Cambios en la interfaz
Nuevas funciones:
-Asociadas a la nueva interfaz
-Desbloqueo de los cuadros 'Formato' y 'Ediciones' en el main Form
-Lista desplegable 'Formato' y 'Ediciones' ahora muestra todos los perfiles creados
-Función para agregar archivos de la aplicación arrastrandolos al 'Administrador de Archivos'. Por default los archivos se mueven a la carpeta correspondiente, pero si se oprime la tecla 'Shift' solo se copian
-Menu 'Herramientas-Ir al directorio de la aplicación' para explorar el directorio de Libre AV Converter
-Caja de arrastre: pequeño cuadro de dialogo con función 'Siempre visible en primer plano' para buscar archivos con el explorador de Windows y arrastrarlos 
-Quitar archivos convertidos de la lista (disponible desde el menu 'Convertir-Opciones')
-Antes de salir, el programa ahora guarda la lista de archivos a convertir, destino, perfiles seleccionados, etc, y la restaura cuando se reinicia
Nueva sintaxis de 'valores sugeridos' en los archivos 'external codec': 
	Sintaxis previa: [Valor1]<Salto de linea>[Valor2]<Salto de linea>[Valor3]<Salto de linea>....
	Sintaxis nueva:[Etiqueta1]*[Valor1]<Salto de linea>[Etiqueta2]*[Valor2]<Salto de linea>... 
	Pudiendo ahora agregar etiquetas que reemplazan valores dentro de la interfaz para hacerlos más descriptivos. Notar que la etiqueta se separa del valor con * (asterisco) y que siempre la etiqueta es opcional, si el programa no encuentra el caracter * interpreta que no hay etiqueta.

2.0.16

Agregado módulo GUI para youtube-dl.exe con las siguientes funciones:
	-Descargar o reproducir videos de YouTube (y muchos sitios más) 
	-Seleccionar la calidad del medio a descargar o reproducir
	-Obtener una lista de formatos disponibles para el stream
	-Descargar los videos de una lista de reproducción de YouTube
Función para finalizar todos los procesos asociados a la ruta del ejecutable ffplay.exe y así poder parar una reproducción aún si el binario se ejecuta con pipes o si no muestra la ventana de reproducción
Cambios en los procedimientos del módulo Convertidor para manejar la opción '<copy>' como formato de contenedor de salida
Cambios en las función 'arrastrar y colocar' del Administrador de Archivos
Cambios en el procedimiento de inicialización de la aplicación para que localice automáticamente los binarios en el directorio de ésta
Correcciones menores

2.0.17
Habilitado uso de pipe para ejecutables que soporten pipe como entrada, con ello se aumenta la velocidad del proceso cuando se codifica con codecs externos además que se elimina el requerimiento de espacio en disco para guardar la pista extraída en un archivo temporal
Modificación de la función 'Stop (Force)' del módulo convertidor para detener completamente el proceso cuando se utilice pipe
Ahora cuando se utilizan codecs externos por default se habilita la esperar mensajes de consola para evitar que Libre AV Converter se congele. Se puede deshabilitar dicho procedimiento desde el editor de codecs externos marcando la casilla "No esperar mensajes de consola" en la categoría "General". Deshabilite la 'espera de mensajes' con binarios que informen el progreso de conversión frecuentemente, esto hará que la codificación sea más rápida.
Agregada opción experimental para ejecutar y capturar los mensajes de los programas de cmd en un subproceso (thread), disponible desde el menú "Convertir - Opciones - Habilitar lectura de consola en hilo". La opción afectará solo la conversión de archivos, los demás procedimientos (análisis, descarga, grabación, reproducción, extracción de CD, etc.) no serán afectados.
Habilitado botón minimizar en el cuadro Video Downloader
Procedimiento para detectar instancias abiertas del programa y evitar borrar archivos temporales que pueden estar en uso
Correcciones menores

2.0.18
Correcciones y cambios menores
Agregado: "Analizar archivo" ahora muestra el tamaño físco del medio
Agregado: menú "Youtube-dl version" en "Video downloader" para consultar la versión del ejecutable
Agregado: función para obtener link directo de video (Video downloader), mostrar el link para copiarlo (botón 'Video link') o mandarlo al grabador para transcodificar el video (botón 'Grabar'). En caso del grabador, éste puede procesar transmisiones en vivo de YouTube para guardarlas en un archivo, retransmitirla o simplemente reproducirlas.
Cambios en las funciones para detener procesos en el módulo 'Capture Console', con ello aumentó un poco la velocidad de conversión
Agregada función para enviar la señal Ctrl+C (SIGNINT) a los programas de línea de comandos. Dicha función se utiliza en los siguientes controles:
- Botón 'Stop' en Video Downloader (la vieja función de cierre forzado fue asignada al botón 'Stop (force)' )
- Botón 'Stop' en el cuadro de progreso de conversión: habilitado para ffmpeg y opcionalmente para otros binarios (codecs externos)
- Boton 'Stop' en "Grabador"
- La señal Ctrl+C genera los siguientes resultados:
-- ffmpeg: detiene el proceso sin corromper el segmento de datos que se hubiesen convertido
-- youtube-dl: detiene la descarga generando archivos funcionales (sin corromper) aunque no estén completos y tengan extensión .part (basta con quitársela)
-- codecs externos: algunos responden bien a la señal sin corromper archivos y sin reportar errores (ejemplo NeroAACEnc.exe), otros no responden y pueden hacer que Libre AV Converter se congele (ejemplo x265.exe), y otros generan archivos corruptos y/o acaban con un error (ejemplo fdkaac.exe), incluso pueden provocar un crash en Libre AV Converter. Por default se estableció que Ctrl+C quedara deshabilitado para codecs externos siendo posible habilitar la función desde la casilla de verificación 'Enable Ctrl+C to stop' en el 'Editor de Codec Exernos'

2.0.19
Correcciones y cambios menores
Cambios en el módulo GUI para youtube-dl 'Video Downloader', nuevas funciones
Agregado Botón 'Stop' en el Visor de texto para detener ejecutables que tardan demasiado en finalizar
Cambios en el Administrador de archivos de la aplicación
Cambio en procedimiento 'Drag & Drop Paths' para controles que aceptan archivos y carpetas arrastradas desde el explorer

2.0.20
Correcciones y cambios menores
Cambios en la interfáz del 'Editor de perfiles de edición'